#!/bin/sh
FILE=${1}
echo $FILE
max=0
for value in `cat ${FILE}`
#not working - see
#http://mywiki.wooledge.org/BashFAQ/024 
#cat ${FILE} | while read value
do
	echo $value
	if [ $value -gt $max ]; then
		max=${value}
		echo "->" $max
	fi
done
echo $max
